#
# spec file for package perl-GDGraph
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-GDGraph
%define cpan_name GDGraph
Version:        1.48
Release:        6.1
Url:            http://cpan.org/modules/by-module/GD/
Summary:        Package to generate charts, using Lincoln Stein's GD.pm
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
BuildRequires:  ImageMagick
BuildRequires:  libtiff-devel
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  xorg-x11-devel
BuildRequires:  perl(GD) >= 1.18
BuildRequires:  perl(GD::Text) >= 0.80
Requires:       perl(GD) >= 1.18
Requires:       perl(GD::Text) >= 0.80
Source:         %{cpan_name}-%{version}.tar.gz
Patch:          %{cpan_name}-trim_miter.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%{perl_requires}

%description
This is GDGraph, a package to generate charts, using Lincoln Stein's
GD.pm. See the documentation for some history and more information.


%prep
%setup -n %{cpan_name}-%{version}
%patch -p1

%build
%{__perl} Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall" INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}
%{__make} samples

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-, root, root)
%doc README*

%changelog
* Tue Oct  1 2013 darin@darins.net
- update to 1.48
  * no code changes, just release enginering cleanup
  * adjust MANIFEST.SKIP file so MANIFEST can be generated
    once again
  * ship sample58.pl file, so `make samples` stop failing
  * mention the current and past maintainers in META files
    as authors
  * use newer CPAN::Meta and ExtUtils::MakeMaker, older
    versions generated META files without runtime prerequisites
* Thu Apr 28 2011 vcizek@novell.com
- license correction (same as Perl)
- added new dependencies (bnc#676080)
- spec renewal
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Thu Apr 26 2007 ro@suse.de
- update to 1.44
  - Added GD::Graph::hbars, to create horizontal bar charts.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Thu Mar  3 2005 ro@suse.de
- added trim_miter patch from Juergen
* Tue Aug 24 2004 ro@suse.de
- updated neededforbuild (needing ImageMagick in testsuite)
* Wed Jul 28 2004 ro@suse.de
- update to 1.43
* Thu Sep 25 2003 ro@suse.de
- created package version 1.39
